﻿CREATE DATABASE QL_BANDA 
ON PRIMARY
(
	NAME = QL_BANDA_DATA,
	FILENAME = 'E:\Thiet Ke & Lap Trinh Web\Do an cuoi ki\Website Ban Da\App_Data\QL_BANDA.mdf',
	SIZE = 50MB,
	MAXSIZE = UNLIMITED,
	FILEGROWTH = 10MB
)
LOG ON
(
	NAME = QL_BANDA_LOG,
	FILENAME = 'E:\Thiet Ke & Lap Trinh Web\Do an cuoi ki\Website Ban Da\App_Data\QL_BANDA.ldf',
	SIZE = 20MB,
	MAXSIZE = UNLIMITED,
	FILEGROWTH = 5MB
)
GO
ALTER DATABASE MyOptionsTest COLLATE SQL_Latin1_General_CP1_CI_AI ;  
GO
USE QL_BANDA
CREATE TABLE THELOAI
(
	MATHELOAI INT IDENTITY(1,1) PRIMARY KEY,
	TENTHELOAI NVARCHAR(50) NOT NULL,
	MOTATHELOAI NTEXT NULL,
)
GO
ALTER TABLE dbo.THELOAI ALTER COLUMN TENTHELOAI NVARCHAR(50) COLLATE SQL_Latin1_General_CP1_CI_AI NOT NULL;
GO
CREATE TABLE KHACHHANG
(
	MAKHACHHANG INT IDENTITY(1,1) PRIMARY KEY,
	TENKHACHHANG NVARCHAR(50) NOT NULL,
	DIENTHOAI VARCHAR(12) NOT NULL,
	NGAYSINH SMALLDATETIME NOT NULL,
	GIOITINH BIT NOT NULL,
	TENDANGNHAP VARCHAR(50) NOT NULL,
	MATKHAU VARCHAR(50) NOT NULL,
	DIACHI NVARCHAR(200) NULL,
	EMAIL VARCHAR(100) NULL,
	DADUYET BIT
)
GO
CREATE TABLE CHUDE
(
	MACHUDE INT IDENTITY(1,1) PRIMARY KEY,
	TENCHUDE NVARCHAR(100) NOT NULL,
	MOTACHUDE NTEXT NULL
)
GO
ALTER TABLE dbo.CHUDE ALTER COLUMN TENCHUDE NVARCHAR(100) COLLATE SQL_Latin1_General_CP1_CI_AI NOT NULL;
GO
CREATE TABLE HINHTHUCTHANHTOAN
(
	MAHINHTHUCTT INT IDENTITY(1,1) PRIMARY KEY,
	TENHINHTHUCTT NVARCHAR(100) NOT NULL,
	MOTAHINHTHUCTT NTEXT NULL,
)
GO
CREATE TABLE HINHTHUCGIAOHANG
(
	MAHINHTHUCGH INT IDENTITY(1,1) PRIMARY KEY,
	TENHINHTHUCGH NVARCHAR(100) NOT NULL,
	MOTAHINHTHUCGH NTEXT NULL,
	GIATIENGIAO MONEY NOT NULL,
	DONVITINH NVARCHAR(50) NULL,
	THOIGIANDUKIEN INT NOT NULL
)
GO
CREATE TABLE ADMIN
(
	MAADMIN INT IDENTITY(1,1) PRIMARY KEY,
	TENADMIN NVARCHAR(50) NOT NULL,
	DIENTHOAIADMIN VARCHAR(12) NOT NULL,
	NGAYSINHADMIN SMALLDATETIME NOT NULL,
	GIOITINHADMIN BIT NOT NULL,
	TENDANGNHAPADMIN VARCHAR(50) NOT NULL,
	MATKHAUADMIN VARCHAR(50) NOT NULL,
	DIACHIADMIN NVARCHAR(200) NULL,
	EMAILADMIN VARCHAR(100) NULL,
	QUYENHANADMIN INT 
)
GO
CREATE TABLE LOAI
(
	MALOAI INT IDENTITY(1,1) PRIMARY KEY,
	TENLOAI NVARCHAR(100) NOT NULL,
	MOTALOAI NTEXT NULL,
)
GO
ALTER TABLE dbo.LOAI ALTER COLUMN TENLOAI NVARCHAR(100) COLLATE SQL_Latin1_General_CP1_CI_AI NOT NULL;
GO
CREATE TABLE SANPHAM
(
	MASANPHAM INT IDENTITY(1,1) PRIMARY KEY,
	TENSANPHAM NVARCHAR(100) NOT NULL,
	DONVITINH NVARCHAR(20) NULL,
	DONGIA MONEY NULL,
	MOTA NTEXT NULL,
	HINHMINHHOA NVARCHAR(100) NULL,
	MACHUDE INT NULL FOREIGN KEY(MACHUDE) REFERENCES CHUDE(MACHUDE),
	NGAYCAPNHAT SMALLDATETIME NULL,
	SOLUONGBAN INT NULL,
	SOLANXEM INT NULL,
	LOAIDA INT NOT NULL FOREIGN KEY(LOAIDA) REFERENCES LOAIDA(MALOAIDA),
	THELOAI INT NOT NULL FOREIGN KEY(THELOAI) REFERENCES THELOAI(MATHELOAI)
)
GO
ALTER TABLE dbo.SANPHAM ALTER COLUMN TENSANPHAM NVARCHAR(100) COLLATE SQL_Latin1_General_CP1_CI_AI NOT NULL;
GO
CREATE TABLE DONDATHANG
(
	SODONHANG INT IDENTITY(1,1) PRIMARY KEY,
	MAKHACHHANG INT NOT NULL FOREIGN KEY (MAKHACHHANG) REFERENCES KHACHHANG(MAKHACHHANG),
	NGAYDATHANG SMALLDATETIME NOT NULL,
	NGAYGIAO SMALLDATETIME NULL,
	TRIGIA MONEY NOT NULL,
	TINHTRANGDONHANG INT NOT NULL FOREIGN KEY(TINHTRANGDONHANG) REFERENCES TINHTRANGDONHANG(MATINHTRANG),
	TINHTRANGTHANHTOAN BIT NOT NULL,
	TENNGUOINHAN  NVARCHAR(50) NOT NULL,
	DIACHINGUOINHAN NVARCHAR(100) NOT NULL,
	DIENTHOAINGUOINHAN VARCHAR(12) NOT NULL,
	GHICHU NTEXT NULL,
	HINHTHUCTHANHTOAN INT NOT NULL FOREIGN KEY (HINHTHUCTHANHTOAN) REFERENCES HINHTHUCTHANHTOAN(MAHINHTHUCTT),
	HINHTHUCGIAOHANG INT NOT NULL FOREIGN KEY (HINHTHUCGIAOHANG) REFERENCES HINHTHUCGIAOHANG(MAHINHTHUCGH)	
)
GO
CREATE TABLE CTDATHANG
(
	SODONHANG INT NOT NULL FOREIGN KEY (SODONHANG) REFERENCES DONDATHANG(SODONHANG),
	MASANPHAM INT NOT NULL FOREIGN KEY (MASANPHAM) REFERENCES SANPHAM(MASANPHAM),
	SOLUONG INT NOT NULL,
	DONGIA MONEY NOT  NULL,
	THANHTIEN MONEY NOT NULL
	PRIMARY KEY(SODONHANG,MASANPHAM)	
)
GO
CREATE TABLE NHANTHONGTINDV
(
	EMAIL VARCHAR(40) PRIMARY KEY
)
GO
CREATE TABLE TINHTRANGDONHANG
(
	MATINHTRANG INT IDENTITY(1,1) PRIMARY KEY,
	TENTINHTRANG NVARCHAR(50) NOT NULL,
	MOTATINHTRANG NTEXT NULL
)
GO
CREATE TABLE DATHANGTHEOYEUCAU
(
	MADATHANG INT IDENTITY(1,1) PRIMARY KEY,
	KICHTHUOC NVARCHAR(100) NOT NULL,
	HINHANH NVARCHAR(100) NULL,
	NOIDUNG NVARCHAR(1000) NULL,
	VATLIEU NVARCHAR(50) NOT NULL
)
GO
CREATE TABLE QUENMATKHAU
(
	MAKHACHHANG INT NOT NULL,
	EMAIL VARCHAR(30) NOT NULL,
	RANDOM VARCHAR(10) NOT NULL,
	NGAYHETHAN DATETIME NOT NULL
)
DROP TABLE QUENMATKHAU
GO
INSERT INTO TINHTRANGDONHANG (TENTINHTRANG,MOTATINHTRANG) VALUES (N'Chưa Xác Nhận',N'Đơn hàng chưa được xác nhận bởi người mua hàng')
INSERT INTO TINHTRANGDONHANG (TENTINHTRANG,MOTATINHTRANG) VALUES (N'Đã Xác Nhận',N'Đơn hàng đã được xác nhận bởi người mua hàng và chờ được giao')
INSERT INTO TINHTRANGDONHANG (TENTINHTRANG,MOTATINHTRANG) VALUES (N'Đã Giao',N'Đơn hàng đã được giao')
INSERT INTO TINHTRANGDONHANG (TENTINHTRANG,MOTATINHTRANG) VALUES (N'Đã Nhận Hàng',N'Khách hàng đã nhận hàng')
INSERT INTO TINHTRANGDONHANG (TENTINHTRANG,MOTATINHTRANG) VALUES (N'Đổi Trả',N'Sản phẩm có vấn đề, cần được đổi trả')
INSERT INTO TINHTRANGDONHANG (TENTINHTRANG,MOTATINHTRANG) VALUES (N'Không Nhận Hàng',N'Đã giao tới nhưng khách hàng không nhận hàng')

INSERT INTO CHUDE (TENCHUDE) VALUES (N'Tôn Giáo')
INSERT INTO CHUDE (TENCHUDE) VALUES (N'Nghệ Thuật')
INSERT INTO CHUDE (TENCHUDE) VALUES (N'Hình Cưới')
INSERT INTO CHUDE (TENCHUDE) VALUES (N'Chủ Tịch Hồ Chí Minh')
INSERT INTO CHUDE (TENCHUDE) VALUES (N'Thú Vật')
INSERT INTO CHUDE (TENCHUDE) VALUES (N'Tây Nguyên')
INSERT INTO CHUDE (TENCHUDE) VALUES (N'Công Giáo')
INSERT INTO CHUDE (TENCHUDE) VALUES (N'Phật Giáo')

INSERT INTO HINHTHUCGIAOHANG (TENHINHTHUCGH,GIATIENGIAO,DONVITINH,THOIGIANDUKIEN) VALUES (N'Giao Hàng Nhanh','30000',N'VNĐ','2')
INSERT INTO HINHTHUCGIAOHANG (TENHINHTHUCGH,GIATIENGIAO,DONVITINH,THOIGIANDUKIEN) VALUES (N'Giao Hàng Tiêu Chuẩn','15000',N'VNĐ','4')

INSERT INTO HINHTHUCTHANHTOAN (TENHINHTHUCTT) VALUES (N'Thanh Toán Sau Khi Nhận Hàng')
INSERT INTO HINHTHUCTHANHTOAN (TENHINHTHUCTT) VALUES (N'Thanh Toán Trước Khi Nhận Hàng')
INSERT INTO HINHTHUCTHANHTOAN (TENHINHTHUCTT) VALUES (N'Thanh Toán Qua Ngân Lượng')

INSERT INTO KHACHHANG (TENKHACHHANG,DIENTHOAI,NGAYSINH,GIOITINH,TENDANGNHAP,MATKHAU,DIACHI,EMAIL,DADUYET) VALUES (N'Trương Thanh Bình','0167854628','4/19/1997','False','truongthanhbinh','thanhbinh123',N'Số 220 Khu phố 8, phường Hiệp Thành, tỉnh Bình Dương','truongthanhbinh@gmail.com','True')
INSERT INTO KHACHHANG (TENKHACHHANG,DIENTHOAI,NGAYSINH,GIOITINH,TENDANGNHAP,MATKHAU,DIACHI,EMAIL,DADUYET) VALUES (N'Võ Hoài Đức','0123456452','5/9/1997','True','vohoaiduc','duc123',N'Chánh nghĩa, Thủ Dầu Một, Bình Dương','vohoaiduc@yahoo.com','False')

INSERT INTO LOAI (TENLOAI,MOTALOAI) VALUES (N'Đá đen',N'Loại đá này đến nay cũng chỉ có ở cao nguyên Việt Nam, đá thuần chất có sắc đen.')
INSERT INTO LOAI (TENLOAI,MOTALOAI) VALUES (N'Đá Thạch Anh',N'Đương nhiên, thạch anh là một loại đá. Đá thạch anh rất phổ biến trong tự nhiên. Có thể bạn không tin, nhưng nếu tình cờ bạn nhặt được 1 viên sỏi, khả năng rất cao là bạn đang cầm trong tay một viên thạch anh. Sỏi này thực chất là thạch anh bị rớt xuống sông suối, bị nước bào mòn theo thời gian nên tròn nhẵn bề mặt. Còn thạch anh dạng tinh thể tự nhiên thì khó có khả năng tình cờ bắt gặp, mà phải chịu khó trèo đèo lội suối băng rừng tìm kiếm mới có')
INSERT INTO LOAI (TENLOAI,MOTALOAI) VALUES (N'Gỗ Hương',N'Gỗ hương là loại gỗ quý bởi bản thân loại gỗ này tiết ra một mùi thơm rất đặc biệt mà không loại gỗ nào có được.')
INSERT INTO LOAI (TENLOAI,MOTALOAI) VALUES (N'Vỏ Ốc Tù Và Gai',N'Ốc tù và gai là loại vỏ dày, nặng. Một đường xoắn ốc cao, da ở phía ngoài sần sùi và có những ụ to nhô lên. Miệng rộng, bên trong miệng có màu cam. Vỏ bên ngoài có màu nâu, trắng, xám,…Ốc Tù và gai sống ở vùng dưới triều, trên các rạn đá.')
INSERT INTO LOAI (TENLOAI) VALUES (N'Lá Cây')
INSERT INTO LOAI (TENLOAI,MOTALOAI) VALUES (N'Đá suối tự nhiên',N'Là loại đá hay nằm rải rấc ở những vùng suối thuộc tây nguyên, mang tính hoang sơ riêng biệt.')

INSERT INTO THELOAI (TENTHELOAI) VALUES (N'Đá') 
INSERT INTO THELOAI (TENTHELOAI) VALUES (N'Vỏ Ốc') 
INSERT INTO THELOAI (TENTHELOAI) VALUES (N'Lá Cây') 
INSERT INTO THELOAI (TENTHELOAI) VALUES (N'Gỗ') 
go
INSERT INTO SANPHAM (TENSANPHAM,DONVITINH,DONGIA,MOTA,HINHMINHHOA,MACHUDE,NGAYCAPNHAT,SOLUONGBAN,SOLANXEM,LOAI,THELOAI) 
VALUES (N'Chúa Sơn Lâm',N'Sản Phẩm','500000',N'Hình ảnh chúa sơn lâm xuống núi được in trên đá','1379776758199.jpg','5','11/28/2017','0','50','6','1')
INSERT INTO SANPHAM (TENSANPHAM,DONVITINH,DONGIA,MOTA,HINHMINHHOA,MACHUDE,NGAYCAPNHAT,SOLUONGBAN,SOLANXEM,LOAI,THELOAI) 
VALUES (N'Nữ Vương Ban Sự Bình An',N'Sản Phẩm','700000',N'Đức Mẹ Ban Sự Bình An','nu-vuong-ban-su-binh-an.jpg','7','11/28/2017','0','50','2','1')
INSERT INTO SANPHAM (TENSANPHAM,DONVITINH,DONGIA,MOTA,HINHMINHHOA,MACHUDE,NGAYCAPNHAT,SOLUONGBAN,SOLANXEM,LOAI,THELOAI) 
VALUES (N'Đức Mẹ An Ủi Kẻ Âu Lo',N'Sản Phẩm','700000',N'Đức Mẹ An Ủi Kẻ Âu Lo','duc-me-an-ui-ke-au-lo.jpg','7','11/28/2017','0','50','2','1')
INSERT INTO SANPHAM (TENSANPHAM,DONVITINH,DONGIA,MOTA,HINHMINHHOA,MACHUDE,NGAYCAPNHAT,SOLUONGBAN,SOLANXEM,LOAI,THELOAI) 
VALUES (N'Ảnh Nghệ Thuật 1',N'Sản Phẩm','300000',N'Ảnh Nghệ Thuật','hinh-nghe-thuat-1.jpg','2','11/28/2017','0','50','1','1')

INSERT INTO NHANTHONGTINDV (EMAIL) VALUES ('lebaothinh.krb@gmail.com')

UPDATE SANPHAM SET TENSANPHAM=N'12',DONVITINH=N'12',DONGIA='',MOTA=N'12',HINHMINHHOA='12',MACHUDE='1',NGAYCAPNHAT='12/9/2017',SOLUONGBAN='2',SOLANXEM='2',LOAI='2',THELOAI='1' WHERE MASANPHAM='2'

SELECT * FROM (SELECT SANPHAM.MASANPHAM, SANPHAM.TENSANPHAM,SANPHAM.DONGIA,SANPHAM.MOTA, SANPHAM.DONVITINH,SANPHAM.HINHMINHHOA,SANPHAM.LOAI,SANPHAM.MACHUDE,SANPHAM.NGAYCAPNHAT,SANPHAM.SOLANXEM,SANPHAM.SOLUONGBAN,SANPHAM.THELOAI,CHUDE.TENCHUDE,LOAI.TENLOAI,THELOAI.TENTHELOAI FROM SANPHAM,CHUDE,LOAI,THELOAI
WHERE SANPHAM.LOAI = LOAI.MALOAI AND SANPHAM.MACHUDE = CHUDE.MACHUDE AND SANPHAM.THELOAI = THELOAI.MATHELOAI) A WHERE A.TENSANPHAM LIKE N'%lo%' OR A.DONGIA LIKE N'%lo%' OR A.MOTA LIKE N'%lo%' OR A.TENCHUDE LIKE N'%lo%' OR A.TENLOAI LIKE N'%lo%' OR A.TENTHELOAI LIKE N'%lo%'

select TOP 5 * from SANPHAM ORDER BY SOLANXEM DESC
Select * from DONDATHANG
INSERT INTO DATHANGTHEOYEUCAU (KICHTHUOC,HINHANH,NOIDUNG,VATLIEU) VALUES (N'30X30',N'LogoDHThuDauMot.png',N'Chào mừng 20 năm thành lập trường',N'Vật Liệu Của Chúng Tôi')
select * FROM DONDATHANG,KHACHHANG,TINHTRANGDONHANG,HINHTHUCGIAOHANG,HINHTHUCTHANHTOAN WHERE DONDATHANG.MAKHACHHANG = KHACHHANG.MAKHACHHANG AND DONDATHANG.TINHTRANGDONHANG = TINHTRANGDONHANG.MATINHTRANG AND DONDATHANG.HINHTHUCGIAOHANG = HINHTHUCGIAOHANG.MAHINHTHUCGH AND DONDATHANG.HINHTHUCTHANHTOAN = HINHTHUCTHANHTOAN.MAHINHTHUCTT AND TINHTRANGDONHANG.MATINHTRANG=1
UPDATE DONDATHANG SET NGAYGIAO='',TRIGIA='',TINHTRANGDONHANG='',TINHTRANGTHANHTOAN='',TENNGUOINHAN=N'',DIACHINGUOINHAN=N'',DIENTHOAINGUOINHAN='',GHICHU=N'',HINHTHUCTHANHTOAN='',HINHTHUCGIAOHANG='' WHERE SODONHANG=''

select * from QUENMATKHAU
select * from KHACHHANG
select * from DONDATHANG
select * from TINHTRANGDONHANG
select * from CTDATHANG
select * from KHACHHANG
select * from ADMIN

INSERT INTO ADMIN VALUES (N'Lê Đăng Khoa','01654141413','12-22-1983','True','ledangkhoa','khoa1983',N'Đà Nẵng','ledangkhoa.krb@gmail.com','2')
UPDATE ADMIN SET TENADMIN='Lê Bảo Thịnh',DIENTHOAIADMIN='01647013955',NGAYSINHADMIN='30/
12/1997 12:00:00 AM',GIOITINHADMIN='True',TENDANGNHAPADMIN='lebaothinh',MATKHAUADMIN='0164231148',DIACHIADMIN='Số 220, Tổ 110, khu phố 8, phường HIệp Thành,  TDM, Bình Dương',EMAILADMIN='lebaothinh.krb@gmail.com',QUYENHANADMIN='1' WHERE MAADMIN='3'

DELETE FROM QUENMATKHAU WHERE NGAYHETHAN = '2017-12-15'
--Doanh Thu Hom Nay--
SELECT * FROM DONDATHANG WHERE DONDATHANG.NGAYDATHANG=GETDATE()
--Doanh Thu Thang Nay--
SELECT * FROM DONDATHANG WHERE MONTH(DONDATHANG.NGAYDATHANG)=MONTH(GETDATE()) AND YEAR(DONDATHANG.NGAYDATHANG)=YEAR(GETDATE())
--Doanh Thu Nam Nay --
SELECT * FROM DONDATHANG WHERE YEAR(DONDATHANG.NGAYDATHANG)=YEAR(GETDATE())
INSERT INTO KHACHHANG (TENKHACHHANG,DIENTHOAI,NGAYSINH,GIOITINH,TENDANGNHAP,MATKHAU,DIACHI,EMAIL,DADUYET) VALUES (N'Võ Huyền My','0167670923','452017','0','vohuyenmy','my123',N'Tân Uyên, Bình Dương','vohuyenmy@gmail.com','False')

select * FROM DONDATHANG,KHACHHANG,TINHTRANGDONHANG,HINHTHUCGIAOHANG,HINHTHUCTHANHTOAN WHERE DONDATHANG.MAKHACHHANG = KHACHHANG.MAKHACHHANG AND DONDATHANG.TINHTRANGDONHANG = TINHTRANGDONHANG.MATINHTRANG AND DONDATHANG.HINHTHUCGIAOHANG = HINHTHUCGIAOHANG.MAHINHTHUCGH AND DONDATHANG.HINHTHUCTHANHTOAN = HINHTHUCTHANHTOAN.MAHINHTHUCTT AND DAY(DONDATHANG.NGAYDATHANG)=DAY(GETDATE()) and MONTH(DONDATHANG.NGAYDATHANG) = MONTH(GETDATE()) AND YEAR(DONDATHANG.NGAYDATHANG)=YEAR(GETDATE())
select * FROM DONDATHANG,KHACHHANG,TINHTRANGDONHANG,HINHTHUCGIAOHANG,HINHTHUCTHANHTOAN WHERE DONDATHANG.MAKHACHHANG = KHACHHANG.MAKHACHHANG AND DONDATHANG.TINHTRANGDONHANG = TINHTRANGDONHANG.MATINHTRANG AND DONDATHANG.HINHTHUCGIAOHANG = HINHTHUCGIAOHANG.MAHINHTHUCGH AND DONDATHANG.HINHTHUCTHANHTOAN = HINHTHUCTHANHTOAN.MAHINHTHUCTT AND YEAR(DONDATHANG.NGAYDATHANG)=YEAR(GETDATE())